Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Update an item

Idempotency Supported

Updates an item with the changes specified. Unspecified item parameters are not modified.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/items/{item-id}

Input Parameters

name
optional, string, max chars=100

The display name for the item. Must be unique. This is visible only in Chargebee and not to customers.

description
optional, string, max chars=2000

Description of the item. This is visible only in Chargebee and not to customers.

Note:

  • The description field supports up to 2000 characters, including HTML tags. The inner text (excluding HTML tags) must not exceed 500 characters.
    For example:
    - testing - desc .
    Total with tags: 38 characters,
    inner text: 'testing desc' (12 characters).
  • If your input includes characters requiring sanitization, such as incomplete HTML tags, the sanitization process may alter the input and increase its length. If the sanitized content exceeds the allowed limit, the request will be rejected.
is_shippable
optional, boolean, default=false

Indicates that the item is a physical product. If Orders are enabled in Chargebee, subscriptions created for this item will have orders associated with them.

external_name
optional, string, max chars=100

A unique display name for the item.

item_family_id
optional, string, max chars=100

The id of the Item family that the item belongs to. Is mandatory when Product Families have been enabled.

enabled_in_portal
optional, boolean, default=true

Allow customers to change their subscription to this plan via the Self-Serve Portal. Applies only for plan-items. This requires the Portal configuration to allow changing subscriptions .

redirect_url
optional, string, max chars=500

If enabled_for_checkout , then the URL to be redirected to once the checkout is complete. This parameter is only meant for plan-items.

enabled_for_checkout
optional, boolean, default=true

Allow the plan to subscribed to via Checkout. Applies only for plan-items. Note: Only the in-app layout of Checkout is supported.

item_applicability
optional, enumerated string, default=all

Indicates which addon-items and charge-items can be applied to the item. Only possible for plan-items. Other details of attaching items such as whether to attach as a mandatory item or to attach on a certain event, can be specified using the Create or Update an attached item API.

Enum Values
all

all addon-items and charge-items are applicable to this plan-item.

restricted

only the addon-items or charge-items provided in applicable_items can be applied to this plan-item.

applicable_items
optional, string, max chars=100

The list of ids of addon-items and charge-items that can be applied to the plan-item. This parameter can be provided only for plan-items and that too when item_applicability is restricted. Other details of attaching items can be specified using the Create or Update an attached item API.

unit
optional, string, max chars=30

The unit of measure for a quantity-based item. This is displayed on the Chargebee UI and on customer facing documents/pages. The latter includes hosted pages , invoices and quotes. Examples follow:

  • "user" for a cloud-collaboration platform.
  • "GB" for a data service.
  • "issue" for a magazine.
gift_claim_redirect_url
optional, string, max chars=500

The URL to redirect to once the gift has been claimed by the receiver.

metadata
optional, jsonobject

A collection of key-value pairs that provides extra information about the item. Learn more .

included_in_mrr
optional, boolean

The item is included in MRR calculations for your site. This attribute is only applicable for items of type = charge and when the feature is enabled in Chargebee. Note: If the site-level setting is to exclude charge-items from MRR calculations, this value is always returned false .

status
optional, enumerated string

The status of the item.

Enum Values
active

The item can be used to create new item prices.

archived

The item is no longer active and no new item prices can be created

is_percentage_pricing
optional, boolean, default=false
bundle_configuration
Parameters for bundle_configuration
pass parameters as bundle_configuration[<param name>]
bundle_items_to_add[0..n]
Parameters for bundle_items_to_add. Multiple bundle_items_to_add can be passed by specifying unique indices.
pass parameters as bundle_items_to_add[<param name>][<idx:0..n>]
bundle_items_to_update[0..n]
Parameters for bundle_items_to_update. Multiple bundle_items_to_update can be passed by specifying unique indices.
pass parameters as bundle_items_to_update[<param name>][<idx:0..n>]
bundle_items_to_remove[0..n]
Parameters for bundle_items_to_remove. Multiple bundle_items_to_remove can be passed by specifying unique indices.
pass parameters as bundle_items_to_remove[<param name>][<idx:0..n>]

Returns

Item object
Resource object representing item